#include <iostream>
#include <string>

class Student {
    std::string name;
    int age;
    double average_grade;

   public:
    Student(std::string name, int age, double average) {
        this->name = name;
        this->age = age;
        this->average_grade = average;
    }

    std::string& get_name() {
        return name;
    }

    int get_age() {
        return age;
    }

    double get_average_grade() {
        return average_grade;
    }

    void status() {
        if (average_grade >= 4 && average_grade < 5) {
            std::cout << "Student is хорошист" << '\n';
        } else if (average_grade = 5) {
            std::cout << "Student is отличник" << '\n';
        } else if (average_grade < 3) {
            std::cout << "Student is двоечник" << '\n';
        }
    }
};

int main() {
    Student student1("George", 19, 3.5);
    Student student2("Paul", 14, 4.8);
    Student student3("Vasyok", 17, 5);

    student1.status();
    student2.status();
    student3.status();
}